*{ margin: 0px;
  padding: 0;
box-sizing: border-box;
max-width: 100%;}
html {
  scroll-behavior: smooth;
}
body {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    background-color: #ffffff;
    margin: 0;
    padding: 0;
  }
  
  body {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    background-color: #ffffff;
    color: #333;
    transition: background-color 0.3s ease;
  }
  
  
   /* Navigation Bar */
   .navbar {
    background-color: #fff; 
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); 
    padding: 15px 0; 
    position: fixed;
    width: 100%;
    height: 30px;
    line-height: 30px;
    z-index: 1000;
    width: 100vw;
    height: 60px;
  }
   
  .logoimg{ height: 30px;}
  .container {
    
    margin: 0 auto;
    padding: 0 200px;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  
  
 
  
  .nav-links {
    list-style-type: none;
    margin: 0;
    padding: 0;
  }
  
  .nav-links li {
    display: inline-block;
    margin-right: 60px;
  }
  
  .nav-links li:last-child {
    margin-right: 0;
  }
  
  .nav-links li a {
    text-decoration: none;
    color: #333; 
    transition: text-shadow 0.3s ease; 
  }
  
  .nav-links li a:hover, #active {
    text-shadow: 0 0 1px #000; 
    color: #030303;}
 
    .welcome-section {
      background-color: #fff;
     
      text-align: center;
      width: 100vw;
      margin-bottom: 50px;
      height: 700px;
      background: rgb(240,239,230);

display: flex;
justify-content: center;
align-items: center; 
    }

    .sub-nav {
      padding: 10px 20px;
     margin: 5px;
      background-color: transparent; 
      border: 2px solid #000; 
      color: #000; 
      font-size: 1em;
      font-weight: bold;
      border-radius: 5px;
      cursor: pointer;
      transition: background-color 0.3s ease, color 0.3s ease;
      text-decoration: none; 
    }
    
    .sub-nav:hover {
      background-color: #000;
      color:  rgb(240,239,230)}


      /* intro styles */

    .containerintro{
    
      margin: 0 ;
      
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      align-items: center;
    }
    
    .welcome-content {
      margin-bottom: 50px;
      
    }
   
    .welcome-content h1 {
      font-size: 3em;
      font-weight: bold;
      margin-bottom: 20px;
      color: #333;}

      .welcome-content p{ font-size: 1.1em;}
  
 
 /* projects styles */

.cardscontainer{ 
display: flex;
flex-direction: column;
justify-content: center;
margin: auto;
align-items: center;
background: rgb(240,239,230);
background: radial-gradient(circle, rgba(240,239,230,1) 0%, rgba(255,255,255,1) 100%);
}
.card {
    background-color: #fff;
    width: 1300px;
    
    margin-bottom: 40px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    display: flex;
    
    align-items: center;
    height: 650px;
}
#branding , #ui{margin: 20px;}

.project-img {
  
  display: flex;
  justify-content: center;
  align-items: center;
  width: 50%;
  height: 100%;
  
}

.project-img img {
  height: 100%; 
  width: 100%; 
  object-fit: cover; 
  border-radius: 8px 0px 0px 8px;
}
#rightimg {
  height: 100%; 
  width: 100%; 
  object-fit: cover; 
  border-radius: 0px 8px 8px 0px;
}


.project-details {
  display: flex;
  flex-direction: column;
    align-items: start;
  text-align: left;
    padding: 50px;
    width: 50%;
}

.project-details h1 {
    margin-top: 0;
    color: #333;
    margin-bottom: 10px;
    font-size: 2em;
}

.project-details p {
    color: #555;
    margin-bottom: 20px;
    text-align: left;
    font-size: 1.1em;
}


.view-project-btn {
  padding: 10px 20px;
 
  background-color: transparent; 
  border: 2px solid#1c1c1c; 
  color: #333333; 
 
  
  font-size: 16px;
  font-weight: 500;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s ease, color 0.3s ease;
  text-decoration: none; 
}

.view-project-btn:hover {
 background-color: #000;
  color: #fff; 
 
  
}
/* mini proj */
.projects{
  display: flex;
  flex-direction: column;
  background-color: #ffffff;
  align-items: center;
  justify-content: center;
  height: 900px;
}
.projects h1{padding: 0px 0 50px}
.projects a {text-decoration: none;}
.scroll2 {
 
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: center;
  align-items: center;
} 


.card2 {
  width: 400px;
  height: 550px;
  margin: 10px 20px;
  background-color: #fff;
  border-radius: 8px;
  overflow: hidden;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  transition: all 0.3s ease;
  cursor: pointer;
  
}

.card2:hover {
  transform: translateY(-5px);
  box-shadow: 0 8px 16px rgb(219, 218, 203);
}

.card2 img {
  width: 100%;
  height: 400px;
  display: inline;
}

.card2-content {
  padding: 20px;
  text-align: center;
  
}

.card2-title {
  font-size: 24px;
  margin-bottom: 10px;
  color: #333333;
}

.card2-description {
  font-size: 16px;
  color: #666;
}

/* photos styles */
.photos {display: flex;
flex-direction: column;
align-items: center;
}
.photos h1 {
  margin-bottom: 50px;
}
.maingal{
  display: flex;
  justify-content: center;
  width: 80%;
}
.gallery1, .gallery2 , .gallery3 {
  display: flex;
  flex-direction: column;
 

 
}



.photo img {
  width: 400px; 
  height: auto;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
  margin: 10px;
}


.bye-msg{ font-size: 1.5em;
  text-align: center;
margin: 50px;}   
 /* footer  Styles */
 .mainfooter{
  width: 75%;
display: flex;
background-color: #222;
  color: #ccc;
  padding-top: 60px;
  padding-bottom: 60px;
  justify-items: center;
  justify-content: space-between;
}



.footercontainer {
  background-color: #222;
  color: #ccc;
  align-items: center;
  display: flex;
  flex-direction: column;
  
}




.footer-nav h3,
.social-media h3,
.contact-details h3 {
  color: #fff;
  margin-bottom: 20px;
  font-family: 'Roboto', sans-serif;
  font-weight: 500;
  font-size: 18px;
}

.footer-nav ul,
.social-media ul, .contact-details ul {
  list-style-type: none;
  padding: 0;
}

.footer-nav ul li,
.social-media ul li, .contact-details ul li{
  margin-bottom: 15px;
}

.footer-nav ul li a,
.social-media ul li a, .contact-details ul li a{
  color:#ccc;
  text-decoration: none;
  font-size: 16px;
}

.footer-nav ul li a:hover,
.social-media ul li a:hover, .contact-details ul li a:hover {
 color: #fff;
 text-shadow:0 0 1px #fff ;
}

.contact-details p {
  color: #ccc;
  margin: 5px 0;
  font-size: 16px;
}

.social-media{ text-align: center;
}

.social-media ul {
  display: flex;
  justify-content: center;
  align-items: center;
}

.social-media ul li {
  margin-right: 15px;
}

.social-media ul li:last-child {
  margin-right: 0;
}

.social-media ul li a {
  color: #ccc;
  text-decoration: none;
  font-size: 1.3em;
  transition: filter 0.3s ease;
}



 .footerbelow{background-color: #171717;
  color: #fff;
  padding: 20px;
  text-align: center;
width: 100vw;}